svn commit: r425076 - in head/mail: imap-uw milter-bogom panda-imap

Baptiste Daroussin bapt at FreeBSD.org
Tue Nov 1 20:00:17 UTC 2016


Author: bapt
Date: Tue Nov  1 20:00:14 2016
New Revision: 425076
URL: https://svnweb.freebsd.org/changeset/ports/425076

Log:
  Revert 425074 it is still too early for that :(

Added:
  head/mail/imap-uw/pkg-req.rev
     - copied unchanged from r425073, head/mail/imap-uw/pkg-req.rev
  head/mail/imap-uw/pkg-req.ssl
     - copied unchanged from r425073, head/mail/imap-uw/pkg-req.ssl
  head/mail/milter-bogom/pkg-req
     - copied unchanged from r425073, head/mail/milter-bogom/pkg-req
  head/mail/panda-imap/pkg-req.rev
     - copied unchanged from r425073, head/mail/panda-imap/pkg-req.rev
  head/mail/panda-imap/pkg-req.ssl
     - copied unchanged from r425073, head/mail/panda-imap/pkg-req.ssl

Copied: head/mail/imap-uw/pkg-req.rev (from r425073, head/mail/imap-uw/pkg-req.rev)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/imap-uw/pkg-req.rev	Tue Nov  1 20:00:14 2016	(r425076, copy of r425073, head/mail/imap-uw/pkg-req.rev)
@@ -0,0 +1,23 @@
+#! /bin/sh
+# anders at fix.no, 2001-06-19
+
+if [ ! -f "$1" ]
+then
+	echo "Your installation of the cclient port is outdated. Please delete it before"
+	echo "continuing."
+	exit 1
+fi
+
+portver=`grep "^#define CCLIENT_PORTVERSION" $1 | awk '{print $3}' \
+| sed s/\"//g`
+
+if [ "$portver" = "$2" ]
+then
+	echo "Your imap-uw port matches the version of your cclient port. Fine."
+	exit 0
+else
+	echo "Your cclient port (PORTVERSION $portver) does not match the version of imap-uw"
+	echo "(PORTVERSION $2) you are trying to install. Please delete your"
+	echo "installation of the cclient port before continuing."
+	exit 1
+fi

Copied: head/mail/imap-uw/pkg-req.ssl (from r425073, head/mail/imap-uw/pkg-req.ssl)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/imap-uw/pkg-req.ssl	Tue Nov  1 20:00:14 2016	(r425076, copy of r425073, head/mail/imap-uw/pkg-req.ssl)
@@ -0,0 +1,27 @@
+#! /bin/sh
+# anders at fix.no, 2001-06-19
+
+sslenabled=`grep "^#define CCLIENT_SSLENABLED" $1 | awk '{print $3}' \
+| sed s/\"//g`
+
+case $2 in
+yes)
+	if [ "$sslenabled" = "yes" ]
+	then
+		echo "SSL check passed. We want SSL support, and cclient has it. Good."
+		exit 0
+	else
+		echo "SSL check failed. We want SSL support, but cclient doesn't have it."
+		echo "Please recompile and reinstall the cclient port with WITH_SSL=yes set."
+		exit 1
+	fi
+	;;
+*)
+	if [ "$sslenabled" = "yes" ]
+	then
+		echo "You did not want SSL (by not defining WITH_SSL). Funny thing is, your cclient"
+		echo "port has SSL support installed."
+		exit 0
+	fi
+	;;
+esac

Copied: head/mail/milter-bogom/pkg-req (from r425073, head/mail/milter-bogom/pkg-req)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/milter-bogom/pkg-req	Tue Nov  1 20:00:14 2016	(r425076, copy of r425073, head/mail/milter-bogom/pkg-req)
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+need_milter() {
+
+echo "****************************************************************"
+echo "* You need at least the version 8.13 of sendmail compiled with *" 
+echo "* milter support enabled.                                      *"
+echo "****************************************************************"
+exit 1;
+
+}
+
+# check if we are not installing
+if [ "$2" != "INSTALL" ];
+then
+    exit 0;
+fi
+
+# check if sendmail have the MILTER API
+sendmail -d0.1 -bv root 2>&1 | grep MILTER > /dev/null
+
+if [ $? != 0 ];
+then
+    need_milter;
+fi
+
+# Check if sendmail is at least 8.13
+sendmail -d0.1 -bv root 2>& 1 | grep Version | awk '{ if ( $2 > "8.13" )\
+exit 0; else exit 1;}'
+
+if [ $? != 0 ];
+then
+    need_milter;
+fi
+exit 0

Copied: head/mail/panda-imap/pkg-req.rev (from r425073, head/mail/panda-imap/pkg-req.rev)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/panda-imap/pkg-req.rev	Tue Nov  1 20:00:14 2016	(r425076, copy of r425073, head/mail/panda-imap/pkg-req.rev)
@@ -0,0 +1,23 @@
+#! /bin/sh
+# anders at fix.no, 2001-06-19
+
+if [ ! -f "$1" ]
+then
+	echo "Your installation of the cclient port is outdated. Please delete it before"
+	echo "continuing."
+	exit 1
+fi
+
+portver=`grep "^#define CCLIENT_PORTVERSION" $1 | awk '{print $3}' \
+| sed s/\"//g`
+
+if [ "$portver" = "$2" ]
+then
+	echo "Your imap-uw port matches the version of your cclient port. Fine."
+	exit 0
+else
+	echo "Your cclient port (PORTVERSION $portver) does not match the version of imap-uw"
+	echo "(PORTVERSION $2) you are trying to install. Please delete your"
+	echo "installation of the cclient port before continuing."
+	exit 1
+fi

Copied: head/mail/panda-imap/pkg-req.ssl (from r425073, head/mail/panda-imap/pkg-req.ssl)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/panda-imap/pkg-req.ssl	Tue Nov  1 20:00:14 2016	(r425076, copy of r425073, head/mail/panda-imap/pkg-req.ssl)
@@ -0,0 +1,27 @@
+#! /bin/sh
+# anders at fix.no, 2001-06-19
+
+sslenabled=`grep "^#define CCLIENT_SSLENABLED" $1 | awk '{print $3}' \
+| sed s/\"//g`
+
+case $2 in
+yes)
+	if [ "$sslenabled" = "yes" ]
+	then
+		echo "SSL check passed. We want SSL support, and cclient has it. Good."
+		exit 0
+	else
+		echo "SSL check failed. We want SSL support, but cclient doesn't have it."
+		echo "Please recompile and reinstall the cclient port with WITH_SSL=yes set."
+		exit 1
+	fi
+	;;
+*)
+	if [ "$sslenabled" = "yes" ]
+	then
+		echo "You did not want SSL (by not defining WITH_SSL). Funny thing is, your cclient"
+		echo "port has SSL support installed."
+		exit 0
+	fi
+	;;
+esac


More information about the svn-ports-all mailing list